﻿Imports System.IO

Public Class WebBrowserWindow

    Private Sub WebBrowserWindow_Shown(sender As Object, e As System.EventArgs) Handles Me.Shown
        'DocumentCompleted is fired when the webbrowser is initialized as well, 
        'therefore we use the Form.Shown event instead of Form.Load so that the event handler isn't fired twice.

        AddHandler WebBrowser1.DocumentCompleted, AddressOf WebBrowser1_DocumentCompleted
        WebBrowser1.Navigate(Path.Combine(Application.StartupPath, "html", "index.html"))
    End Sub

    Private Sub WebBrowserWindow_FormClosed(sender As Object, e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
        Form1.Button2.Enabled = False
    End Sub

    Private Sub WebBrowser1_DocumentCompleted(sender As System.Object, e As System.Windows.Forms.WebBrowserDocumentCompletedEventArgs)
        If WebBrowser1.ReadyState = WebBrowserReadyState.Complete Then
            WebBrowser1.Document.Window.Frames(2).Document.GetElementById("username").SetAttribute("value", "Vincent")
            WebBrowser1.Document.Window.Frames(2).Document.GetElementById("password").SetAttribute("value", "notverysecret")

            RemoveHandler WebBrowser1.DocumentCompleted, AddressOf WebBrowser1_DocumentCompleted

            Form1.Button2.Enabled = True
        End If
    End Sub
End Class